<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatImageView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:src="@mipmap/ic_login_top_bg"
        app:layout_constraintDimensionRatio="h,1125:1270"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_logo"
        android:layout_width="@dimen/dp_80"
        android:layout_height="@dimen/dp_80"
        android:layout_marginTop="@dimen/dp_32"
        android:src="@mipmap/ic_login_logo"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/mTitleBar" />

    <TextView
        android:id="@+id/tv_app_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_16"
        android:text="@string/app_name"
        android:textColor="@color/color_212226"
        android:textSize="@dimen/sp_18"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_logo" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_40"
        android:paddingStart="@dimen/dp_38"
        android:paddingEnd="@dimen/dp_38"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_app_name">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/ed_phone"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_50"
            android:background="@drawable/shape_dfdfdf_line_cor50"
            android:gravity="center_vertical"
            android:hint="请输入您的手机号"
            android:inputType="number"
            android:maxLength="11"
            android:paddingStart="@dimen/dp_14"
            android:paddingEnd="@dimen/dp_14"
            android:textColor="@color/color_1a1a1a"
            android:textColorHint="@color/color_bcbcbc"
            android:textSize="@dimen/sp_16"
            app:layout_constraintDimensionRatio="h,300:54"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/ed_code"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_50"
            android:layout_marginTop="@dimen/dp_26"
            android:background="@drawable/shape_dfdfdf_line_cor50"
            android:gravity="center_vertical"
            android:hint="请输入验证码"
            android:inputType="number"
            android:maxLength="6"
            android:paddingStart="@dimen/dp_14"
            android:textColor="@color/color_1a1a1a"
            android:textColorHint="@color/color_bcbcbc"
            android:textSize="@dimen/sp_16"
            app:layout_constraintDimensionRatio="h,300:54"
            app:layout_constraintTop_toBottomOf="@+id/ed_phone" />

        <TextView
            android:id="@+id/tv_send_code"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/dp_14"
            android:padding="@dimen/dp_5"
            android:text="获取验证码"
            android:textColor="@color/color_125ffe"
            android:textSize="@dimen/sp_14"
            app:layout_constraintBottom_toBottomOf="@+id/ed_code"
            app:layout_constraintEnd_toEndOf="@+id/ed_code"
            app:layout_constraintTop_toTopOf="@+id/ed_code" />

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/loginBtn"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="@dimen/dp_40"
            android:text="登录"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            app:csb_activeEnable="true"
            app:csb_cornerRadius="@dimen/dp_50"
            app:csb_fillColor="@color/color_125ffe"
            app:layout_constraintDimensionRatio="h,300:50"
            app:layout_constraintEnd_toEndOf="@id/ed_code"
            app:layout_constraintStart_toStartOf="@+id/ed_code"
            app:layout_constraintTop_toBottomOf="@+id/ed_code" />

        <CheckBox
            android:id="@+id/cb_agree"
            android:layout_width="@dimen/dp_20"
            android:layout_height="@dimen/dp_20"
            android:layout_marginStart="@dimen/dp_14"
            android:layout_marginTop="@dimen/dp_16"
            android:background="@null"
            android:button="@null"
            android:drawableStart="@drawable/selector_default_check"
            app:layout_constraintStart_toStartOf="@id/loginBtn"
            app:layout_constraintTop_toBottomOf="@id/loginBtn" />

        <TextView
            android:id="@+id/tv_agree"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_4"
            android:layout_marginTop="@dimen/dp_1"
            android:layout_marginEnd="@dimen/dp_14"
            android:gravity="center_vertical"
            android:text="我已阅读并同意 "
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_12"
            app:layout_constraintEnd_toEndOf="@id/loginBtn"
            app:layout_constraintStart_toEndOf="@id/cb_agree"
            app:layout_constraintTop_toTopOf="@id/cb_agree" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/layout_login_type"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dp_40"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">


            <TextView
                android:id="@+id/tv_other_login"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="其他方式登录"
                android:textColor="@color/color_aaaaaa"
                android:textSize="@dimen/sp_10"
                app:layout_constraintBottom_toTopOf="@id/iv_wx_login"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

            <View
                android:layout_width="@dimen/dp_20"
                android:layout_height="@dimen/dp_1"
                android:layout_marginEnd="@dimen/dp_10"
                android:background="@color/color_aaaaaa"
                app:layout_constraintBottom_toBottomOf="@id/tv_other_login"
                app:layout_constraintEnd_toStartOf="@id/tv_other_login"
                app:layout_constraintTop_toTopOf="@id/tv_other_login" />

            <View
                android:layout_width="@dimen/dp_20"
                android:layout_height="@dimen/dp_1"
                android:layout_marginStart="@dimen/dp_10"
                android:background="@color/color_aaaaaa"
                app:layout_constraintBottom_toBottomOf="@id/tv_other_login"
                app:layout_constraintStart_toEndOf="@id/tv_other_login"
                app:layout_constraintTop_toTopOf="@id/tv_other_login" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_onekey_login"
                android:layout_width="@dimen/dp_38"
                android:layout_height="@dimen/dp_38"
                android:layout_marginTop="@dimen/dp_20"
                android:src="@mipmap/ic_onekey_login"
                app:layout_constraintEnd_toStartOf="@id/iv_wx_login"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_other_login" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_wx_login"
                android:layout_width="@dimen/dp_38"
                android:layout_height="@dimen/dp_38"
                android:layout_marginStart="@dimen/dp_26"
                android:layout_marginTop="@dimen/dp_20"
                android:src="@mipmap/ic_wx_login"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/iv_onekey_login"
                app:layout_constraintTop_toBottomOf="@id/tv_other_login"
                app:layout_goneMarginStart="0dp" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title=" " />

</androidx.constraintlayout.widget.ConstraintLayout>